Subject: Re: bug#46253: powerpc64le: gcc-final: "configure: error: cannot compute sizeof (long long)"
From: Chris Marusich <[email-masked]>
To: [email-masked]
Cc: Léo Le Bouter <[email-masked]>, Efraim Flashner <[email-masked]>
Date: Thu, 04 Feb 2021 00:26:50 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

This is fixed in the following commit:

https://git.savannah.gnu.org/cgit/guix.git/commit/?h=wip-ppc64le&id=ffcc950261c829e76f2faf6c8ea03d3fc56a20e1

The problem was in the config.log, but I didn't see it at first:

"powerpc64le-guix-linux-gnu-ld: cannot find -lstdc++"

Léo mentioned that it was probably a linking problem, and when I checked
his commits in his own Git repository, I found this, which solved the
problem:

https://gitlab.com/lle-bout/guix/-/commit/070e06e8be6090a7682288c24b5686f1b578c001

However, that commit would have changed the way we link gcc-final with
libstdc++ on all architectures.  I have made a similar change that
accomplishes the same thing, but only for powerpc64le-linux (or other
Guix system types beginning with "powerpc64").  On existing Guix system
types, we will continue to link the same as before.

Using commit ffcc950261c829e76f2faf6c8ea03d3fc56a20e1, I was successful
in building gcc-final. I'm closing this bug report.

-- 
Chris